# vim: set sw=4 ts=4 et:

%define major     1.1.18
%define libname   libxine1
%define libvers   1.1.18

%define skindir    %{_datadir}/xine/skins
%define deskdir    %{_datadir}/xine/desktop

%define ginstall install -c

Name:           xine-ui
Summary:        A Free Audio/Video Player
Summary(cs):    Volnì ¹iøitelný audio/video pøehrávaè
Summary(de):    Ein freies Audio- und Video-Abspielprogramm
Version:        0.99.6
Release:        1.pm.2.2
License:        GPL
Group:          Productivity/Multimedia/Video/Players
URL:            http://xine.sourceforge.net
Source0:        xine-ui-%{version}.tar.bz2
Source1:        _xine.m4
Source2:        _xine.m4_alt
Patch0:         xine-ui-lirc.diff
Requires:       %{libname} >= %{libvers}
BuildRequires:  xorg-x11-libs
BuildRequires:  libdirac-devel
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  libxine-devel >= %{libvers}
BuildRequires:  libcaca-devel
BuildRequires:  curl-devel >= 7.10
BuildRequires:  libpng-devel
BuildRequires:  freetype2-devel
BuildRequires:  update-desktop-files
BuildRequires:  readline-devel
BuildRequires:  slang-devel
BuildRequires:  pkgconfig
BuildRequires:  gcc
BuildRequires:  ncurses-devel
%if %suse_version > 1110
BuildRequires:  lirc-devel
%else
BuildRequires:  lirc
%endif
%ifarch %ix86 k6 k7 athlon x86_64 amd64 ia32e
%if %suse_version <= 1100
BuildRequires:  libnvtv-devel
%endif
%endif
BuildRequires:  xorg-x11-devel
BuildRequires:  libjpeg-devel
BuildRequires:  hicolor-icon-theme
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
xine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.

%description -l cs
xine je velmi atraktivní volnì ¹iøitelný audio/video pøehrávaè pro unixovské
systémy, který pou¾ívá libxine pro dekódování zvuku a videa a pøehrávání.
Více informací o tom, jaké formáty jsou podporovány získáte v dokumentaci
od libxine.

%description -l de
xine ist ein freies Audio- und Video-Abspielprogramm für unixartige Systeme
mit umfassenden Funktionen. Zur Audio- und Videodekodierung und Wiedergabe
werden die xine-Bibliotheken aus libxine verwendet. Weitere Informationen
über die unterstützten Formate entnehmen Sie in der Dokumentation zu libxine.

%prep
%setup -q
%if %suse_version > 1110
cp  %{SOURCE1} m4/_xine.m4
%patch0 -p1
%else
cp  %{SOURCE2} m4/_xine.m4
%endif
%ifarch x86_64
sed -i -e "s/lirc_libprefix=\"\$LIRC_PREFIX\/lib\"/lirc_libprefix=\"\$LIRC_PREFIX\/lib64\"/g" \
       -e "s/for llirc in \$lirc_libprefix \/lib \/usr\/lib \/usr\/local\/lib; do/for llirc in \$lirc_libprefix \/lib64 \/usr\/lib64 \/usr\/local\/lib64; do/g" m4/_xine.m4
%endif

%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
export XINE_DOCPATH="%{_docdir}/xine-ui"

#if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
#fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
        --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} --includedir=%{_includedir} \
        --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
        --infodir=%{_infodir} --enable-vdr-keys

%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_datadir}/applications/
%suse_update_desktop_file -i xine AudioVideo Player Video

%find_lang xine-ui
%find_lang xitk

cat xine-ui.lang xitk.lang > all.lang

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f all.lang
%defattr(-,root,root)
%doc %{_docdir}/*
%doc %{_datadir}/doc/xitk
%{_bindir}/cacaxine
%{_bindir}/fbxine
%{_bindir}/xine
%{_bindir}/xine-bugreport
%{_bindir}/xine-check
%{_bindir}/xine-remote
%{_datadir}/pixmaps/*
%{_datadir}/xine
%{_datadir}/icons/hicolor/*/apps/xine.*
%{_datadir}/applications/xine.desktop
%{_datadir}/mime/packages/xine-ui.xml
%lang(de) %{_mandir}/de/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(es) %{_mandir}/es/man1/*
%dir %{_mandir}/pl
%dir %{_mandir}/pl/man1
%lang(pl) %{_mandir}/pl/man1/*
%{_mandir}/man1/*

%changelog
* Fri Apr  9 2010 Manfred.Tremmel@iiv.de
- Update to 0.99.6
* Sun Nov 15 2009 Manfred.Tremmel@iiv.de
- update to latest cvs
- patches to enable lirc support in openSUSE 11.2
* Sat Sep 12 2009 Manfred.Tremmel@iiv.de
- update to latest cvs
* Sun Dec 21 2008 Manfred.Tremmel@iiv.de
- removed libnvtv dependency in openSUSE >= 11.1
* Fri May  4 2007 Manfred.Tremmel@iiv.de
- Update to 0.99.5
* Wed Oct 11 2006 Manfred.Tremmel@iiv.de
- removed aaxine, it's no longer build
* Sun Apr 23 2006 Manfred.Tremmel@iiv.de
- CVS-Compile, there where a lot of changes and security
  fixes, I don't want to backport them all, but doesn't look,
  a new release is coming soon.
* Tue Oct 18 2005 Manfred.Tremmel@iiv.de
- added --enable-vdr-keys configure option
* Fri Aug 12 2005 Manfred.Tremmel@iiv.de
- added a patch from Detlef Reichelt to solve x86_64 problems
* Wed Jul 27 2005 Manfred.Tremmel@iiv.de
- Update to 0.99.4
* Sat Apr 23 2005 Manfred.Tremmel@iiv.de
- changed desktop entries
* Mon Feb  7 2005 Manfred.Tremmel@iiv.de
- added oxine directory to the files
* Sat Dec 18 2004 Manfred.Tremmel@iiv.de
- Update to 0.99.3
* Mon Jul  5 2004 Manfred.Tremmel@iiv.de
- Update to 0.99.2
* Sat Apr 17 2004 Manfred.Tremmel@iiv.de
- Update to 0.99.1
* Fri Apr  9 2004 Manfred.Tremmel@iiv.de
- removed ugly hack to use the right docdir end set XINE_DOCPATH instead
* Wed Mar 10 2004 Manfred.Tremmel@iiv.de
- added caca ui and dependency
* Sun Jan 18 2004 Manfred.Tremmel@iiv.de
- added readline dependency
* Wed Dec 24 2003 Manfred.Tremmel@iiv.de
- Update to 0.9.23
* Fri Aug  8 2003 Manfred.Tremmel@iiv.de
- Update to 0.9.22
* Sat May 17 2003 Manfred.Tremmel@iiv.de
- Update to 0.9.21
* Wed Mar 26 2003 Manfred.Tremmel@iiv.de
- Update to 0.9.20
* Sun Mar  9 2003 Manfred.Tremmel@iiv.de
- Update to xine-ui 0.9.19
* Thu Jan 30 2003 Manfred.Tremmel@iiv.de
- Update to xine-ui 0.9.18
* Sun Jan 26 2003 Manfred.Tremmel@iiv.de
- Some cleanups in xine-ui-aa package
- changes for lsf conform systems
* Sat Jan 11 2003 Manfred.Tremmel@iiv.de
- Some cleanups
* Sat Jan  4 2003 Manfred.Tremmel@iiv.de
- Update to xine-ui 0.9.17
* Wed Dec 11 2002 Manfred.Tremmel@iiv.de
- Update to xine-ui 0.9.16
* Fri Dec  6 2002 Manfred.Tremmel@iiv.de
- do post and pre only when install and remove, saves entries at update
* Mon Nov 25 2002 Manfred.Tremmel@iiv.de
- Update to xine-ui 0.9.15
* Sun Nov 17 2002 Manfred.Tremmel@iiv.de
- Split in different packages
* Sat Nov 16 2002 Manfred.Tremmel@iiv.de
- replaced cvscompile.sh with autogen.sh
* Sat Nov  9 2002 Manfred.Tremmel@iiv.de
- Final changes for libxine 1.0alpha1
* Wed Nov  6 2002 billfink@mindspring.com
- Some more changes for latest xine version
* Mon Nov  4 2002 Manfred.Tremmel@iiv.de
- Changes for next xine version
* Sun Oct 27 2002 Manfred.Tremmel@iiv.de
- Update of the german descriptions.
- fixed some problems with creating kde2 and kde3 menu-entry
* Mon May 27 2002 matthew2k@web.de
- added passing of build parameter to configure
* Sun May 26 2002 matthew2k@web.de
- added more kde2 and kde3 fixes by Manfred Tremmel <Manfred.Tremmel@iiv.de>
* Mon May 20 2002 matthew2k@web.de
- added kde3 support by Manfred Tremmel <Manfred.Tremmel@iiv.de>
* Sat May 18 2002 matthew2k@web.de
- added czech translations by valtri@atlas.cz
* Thu May 16 2002 matthew2k@web.de
- replaced %%%%configure because it was causing trouble on some configurations
* Sat May 11 2002 matthew2k@web.de
- reworked/revamped spec file, still needs some tuning (BuildPreReq, ...)
* Fri May  3 2002 f1rmb@users.sourceforge.net
- add xitk README file.
* Sun Mar 31 2002 matthew2k@web.de
- added xine-bugreport and xine-check, including their man pages.
- added german man pages and README_fi.
* Fri Dec 14 2001 f1rmb@users.sourceforge.net
- Add portuguese brazilian *.mo files: thanks to Miguel Freitas <miguel@cetuc.puc-rio.br> ;-)
* Tue Nov 27 2001 f1rmb@users.sourceforge.net
- Add spanish *.mo files: thanks to Juan Manuel Garc� Molina <juanmagm@mail.com>
* Sun Nov 18 2001 f1rmb@users.sourceforge.net
- Add *.mo files
* Wed Oct  3 2001 f1rmb@users.sourceforge.net
- use DESTDIR for package building and add xineshot, based on patch from Andrew Meredith <andrew@anvil.org>
* Thu Sep 27 2001 f1rmb@users.sourceforge.net
- Add icons and desktop stuff from patches by Miguel Freitas <miguel@cetuc.puc-rio.br>
* Sun Sep 16 2001 f1rmb@users.sourceforge.net
- Add missing files.
* Thu Jul 26 2001 matthew2k@web.de
- updated filelist.
* Tue Jul  3 2001 matthew2k@web.de
- fixed the "no-skins-in-final-RPM-package" problem (nice explanation *grin*)
* Sun Jun 10 2001 matthew2k@web.de
- updated filelist and the requirements field
- removed /sbin/ldconfig as post install script
* Wed Mar 28 2001 f1rmb@users.sourceforge.net
- add korean summary, patch from Louis JANG <louis@ns.mizi.com>
* Thu Jan 11 2001 f1rmb@users.sourceforge.net
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Tue Oct 17 2000 f1rmb@users.sourceforge.net
- first spec file.
